Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.servlet.context
Class ServletTilesApplicationContextFactory

    java.lang.Object
      org.apache.tiles.context.AbstractTilesApplicationContextFactory
          org.apache.tiles.servlet.context.ServletTilesApplicationContextFactory

All Implemented Interfaces:
  Initializable

Deprecated. Create an instance of `ServletTilesApplicationContext` yourself, by implementing `TilesInitializer` or extending `AbstractTilesInitializer` and overriding `createTilesApplicationContext` method.

    public class ServletTilesApplicationContextFactory

extends AbstractTilesApplicationContextFactory
implements Initializable

Creates an instance of the appropriate TilesApplicationContext implementation under a servlet environment.

Since:
  2.1.1
Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $

Field Summary

Fields inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory
`APPLICATION_CONTEXT_FACTORY_INIT_PARAM`

Constructor Summary
`ServletTilesApplicationContextFactory()` Deprecated.

Method Summary
`TilesApplicationContext` | `createApplicationContext(java.lang.Object context)` Deprecated. Create a TilesApplicationContext for the given context.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> configParameters)` Deprecated. Initializes the object.

Methods inherited from class org.apache.tiles.context.AbstractTilesApplicationContextFactory
`createFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletTilesApplicationContextFactory

    public ServletTilesApplicationContextFactory()

  Deprecated.

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> configParameters)

  Deprecated.
  Initializes the object.

  Specified by:
    `init` in interface `Initializable`
  Parameters:
    `configParameters` - The map of parameters.

### createApplicationContext

    public TilesApplicationContext createApplicationContext(java.lang.Object context)

  Deprecated.
  Create a TilesApplicationContext for the given context.

  Specified by:
    `createApplicationContext` in class `AbstractTilesApplicationContextFactory`
  Parameters:
    `context` - The (application) context to use.
  Returns:
    TilesApplicationContext The Tiles application context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.